<!DOCTYPE html>
<html ng-app='optpanel'>
<head>
  <title>Contact Center Supervision</title>
  <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.css" />
  <link rel="stylesheet" href="styles/optpanel.css" />
  <link rel="stylesheet" href="styles/agentstates.css" />
  <link rel="stylesheet" href="styles/seuils.css" />

  <script src="http://localhost:9000/assets/javascripts/angular.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/jquery-2.0.3.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/ui-bootstrap-tpls-0.11.0.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/jquery-ui-1.10.2.custom.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/moment-with-langs.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/countdown.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/moment-countdown.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/cti.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/services/xuc_services.js" type="text/javascript"></script>
  <!--<script src="http://localhost:9000/assets/javascripts/pages/ccsupervision/ccsupervision.js" type="text/javascript"></script>-->
  <script src="scripts/optpanel.js" type="text/javascript"></script>
  <meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body ng-controller="ctiLinkController">
<div class="container-fluid text-center" ng-controller="queueController">
  <div class="panel panel-primary  PanelLink{{status}}">
    <table class="PanelLink{{status}} table table-bordered table-condensed" ng-controller="queueTotalController">
      <thead >
      <!-- class="title queuehead" -->
      <th >
      <th class="totalHeader">
        <div class="totalTitle">Total</div>
        <div class="totalCounter {{getStyle('TotalNumberCallsEntered',totals.TotalNumberCallsEntered)}}">{{totals.TotalNumberCallsEntered}}</div>
      </th>
      <th class="totalHeader">
        <div class="totalTitle">%Rep &lt;15s</div>
        <div class="totalCounter {{getStyle('PercentageAnsweredBefore15',totals.GlobalPercentageAnsweredBefore15)}}">{{totals.GlobalPercentageAnsweredBefore15 | number : 2}}</div>
      </th>
      <th class="totalHeader">
        <div class="totalTitle">%Aband &gt;15s</div>
        <div class="totalCounter {{getStyle('PercentageAbandonnedAfter15',totals.GlobalPercentageAbandonnedAfter15)}}">{{totals.GlobalPercentageAbandonnedAfter15 | number : 2}}</div>
      </th>
      <th class="totalHeader">
        <div class="totalTitle">Waiting</div>
        <div class="totalCounter {{getStyle('WaitingCalls',totals.WaitingCalls)}}">{{totals.WaitingCalls}}</div>
      </th>
      <th class="totalHeader">
        <div class="totalTitle">Tps. Max</div>
        <div class="totalCounter {{getStyle('LongestWaitTime',maxLongestWaitTime)}}">{{maxLongestWaitTime | queueTime}}</div>
      </th>
      <th class="totalHeader">
        <div class="totalTitle">Agts dispo.</div>
        <div class="totalCounter">&nbsp;</div>
      </th>
      <th class="totalHeader">
        <div class="totalTitle">Agts conv.</div>
        <div class="totalCounter">&nbsp;</div>
      </th>
      </thead>
      <tbody>
      <tr ng-repeat='queue in queues | orderBy:"displayName"'>
        <td class="queueNameTitle">{{queue.displayName}}</td>
        <td>{{queue.TotalNumberCallsEntered}}</td>
        <td class="{{getStyle('PercentageAnsweredBefore15',queue.PercentageAnsweredBefore15)}}">{{queue.PercentageAnsweredBefore15 | number:1}}</td>
        <td class="{{getStyle('PercentageAbandonnedAfter15',queue.PercentageAbandonnedAfter15)}}">{{queue.PercentageAbandonnedAfter15 | number:1}}</td>
        <td class="{{getStyle('WaitingCalls',queue.WaitingCalls)}}" >{{queue.WaitingCalls}}</td>
        <td class="{{getStyle('LongestWaitTime',queue.LongestWaitTime)}}">{{queue.LongestWaitTime | queueTime}}</td>
        <td class="{{getStyle('AvailableAgents',queue.AvailableAgents)}}">{{queue.AvailableAgents}}</td>
        <td>{{queue.TalkingAgents}}</td>
      </tr>
      </tbody>
    </table>
  </div>
  <div class="panel panel-primary" ng-controller="agentController">
    <div class="panel-body">
      <div class="row show-grid">
        <table class="table">
          <tr ng-repeat="agents in agentsInCol">
            <td ng-repeat="agent in agents" class="agentData {{agent.state}}">
              <table>
                <tr>
                  <td class="AgentName" >{{agent.name | limitTo: 12 }} </td>
                  <td class="PhoneNumber" >{{agent.phoneNb}}</td>
                  <td class="AgentState {{getStateStyle(agent.timeInState)}}">{{agent.timeInState.toClockString()}}</td>
                </tr>
              </table>
              <!--{{agent.name | limitTo: 12 }} {{agent.phoneNb}} <span class="{{getStateStyle(agent.timeInState)}}"> {{agent.timeInState.toClockString()}} </span>-->
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</div>
<div class="panel-footer">
  <span class="title"><i class="glyphicon glyphicon-leaf Link{{status}}"></i>&nbsp;{{clock}}</span>
</div>
<script type="text/javascript">
         initCtiLocale("super02");
</script>
</body>
</html>

